Name:           xosview
Version:        1.24
Release:        %mkrel 1
Summary:        An X Window System utility for monitoring system resources
Group:          Monitoring
License:        GPLv2 and BSD with advertising and (GPLv2 or BSD with advertising)
URL:            https://www.pogo.org.uk/~mark/xosview/
Source0:        https://www.pogo.org.uk/~mark/xosview/releases/%{name}-%{version}.tar.gz
Source2:        %{name}16.png.bz2
Source3:        %{name}32.png.bz2
Source4:        %{name}48.png.bz2
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)

%description
The xosview utility displays a set of bar graphs which show the current
system state, including memory usage, CPU usage, system load, etc.
Xosview runs under the X Window System.

Install the xosview package if you need a graphical tool for monitoring
your system's performance.

%prep
%setup -q
%autopatch -p1

%build
%make_build LDFLAGS="%{ldflags}" OPTFLAGS="%{optflags}"

%install
%make_install PREFIX=%{_prefix}

install -m 755 -d %{buildroot}%{_datadir}/icons/mini
bzcat %SOURCE2 > %{buildroot}%{_datadir}/icons/mini/%{name}.png
install -m 755 -d %{buildroot}%{_datadir}/icons
bzcat %SOURCE3 > %{buildroot}%{_datadir}/icons/%{name}.png
install -m 755 -d %{buildroot}%{_datadir}/icons/large
bzcat %SOURCE4 > %{buildroot}%{_datadir}/icons/large/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Xosview
Comment=System resources monitor for X11
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Monitor;
Keywords=System;Utility;System Monitor;
EOF

%files
%doc README README.linux TODO Xdefaults
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/mini/*
%{_datadir}/icons/large/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png


%changelog
* Fri Feb 03 2023 daviddavid <daviddavid> 1.24-1.mga9
+ Revision: 1937696
- new version: 1.24

* Mon Jan 02 2023 ghibo <ghibo> 1.23-3.mga9
+ Revision: 1929194
- Rebuild for aging

* Wed Mar 30 2022 umeabot <umeabot> 1.23-2.mga9
+ Revision: 1835491
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 1.23-1.mga9
+ Revision: 1697032
- new version: 1.23

* Tue Jul 14 2020 daviddavid <daviddavid> 1.22-1.mga8
+ Revision: 1606144
- new version: 1.22

* Sat Feb 22 2020 pterjan <pterjan> 1.21-3.mga8
+ Revision: 1549459
- Fix build on arm, sys/io.h no longer exists in new glibc

* Fri Feb 14 2020 umeabot <umeabot> 1.21-2.mga8
+ Revision: 1519196
- Mageia 8 Mass Rebuild

* Fri Oct 05 2018 daviddavid <daviddavid> 1.21-1.mga7
+ Revision: 1318045
- new version: 1.21

* Sun Sep 23 2018 umeabot <umeabot> 1.20-2.mga7
+ Revision: 1301955
- Mageia 7 Mass Rebuild

* Sun Jan 07 2018 daviddavid <daviddavid> 1.20-1.mga7
+ Revision: 1191197
- new version: 1.20

* Sat Feb 04 2017 daviddavid <daviddavid> 1.19-1.mga6
+ Revision: 1084804
- new version: 1.19
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 05 2015 daviddavid <daviddavid> 1.17-1.mga6
+ Revision: 908377
- new version: 1.17
- add docs

* Wed Oct 15 2014 umeabot <umeabot> 1.16-3.mga5
+ Revision: 744951
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.16-2.mga5
+ Revision: 690741
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 1.16-1.mga5
+ Revision: 592061
- new version 1.16

* Sat Oct 19 2013 umeabot <umeabot> 1.14-3.mga4
+ Revision: 527778
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 fwang <fwang> 1.14-2.mga4
+ Revision: 442388
- tighten br

* Thu Jun 13 2013 fwang <fwang> 1.14-1.mga4
+ Revision: 442383
- new version 1.14

* Mon Jan 14 2013 umeabot <umeabot> 1.12-2.mga3
+ Revision: 387286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 kamil <kamil> 1.12-1.mga3
+ Revision: 331815
- new version 1.12

* Sun Dec 02 2012 kamil <kamil> 1.11-2.mga3
+ Revision: 324899
- rebuild for Mga3 Beta1

* Tue Nov 27 2012 kamil <kamil> 1.11-1.mga3
+ Revision: 322254
- new version 1.11

* Tue Aug 28 2012 kamil <kamil> 1.9.4-1.mga3
+ Revision: 284633
- new version 1.9.4

* Wed May 30 2012 kamil <kamil> 1.9.3-1.mga3
+ Revision: 251776
- new version 1.9.3
- new SOURCE0
- new build procedure (upstream change)
- drop "chmod u-s" for binaries
- stop installing /usr/lib/X11/app-defaults directory (it's empty anyway)

* Mon Feb 06 2012 kamil <kamil> 1.9.2-2.mga2
+ Revision: 205487
- bump release to be updateable from Mageia 1
- new version 1.9.2

* Sun Jan 22 2012 kamil <kamil> 1.9.1-1.mga2
+ Revision: 199486
- new version 1.9.1 from new vendor
- new URL and SOURCE
- fix license
- clean .spec
- imported package xosview


* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.8.3-5mdv2009.0
+ Revision: 262656
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.8.3-4mdv2009.0
+ Revision: 257645
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.8.3-2mdv2008.1
+ Revision: 148445
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 26 2007 Gustavo De Nardin <gustavodn@mandriva.com> 1.8.3-2mdv2008.0
+ Revision: 71654
- xdg menu
- fixed section in old menu
- finer grained X11 BuildRequires
- new upstream version 1.8.3, installed without X11R6 prefix now, with all old patches handled upstream
- patches xosview-1.8.0-gcc33, xosview-rpath, xosview-ppc also handled upstream
- patch xosview-kernel-2.6.X handled upstream
- patch xosview-PMUmeter-1.7.3 was empty.. (?)
- patches xosview-non-i386, xosview-io_h, xosview-1.7.1-s390, xosview-1.8.0-proc, xosview-kernel-pre9, merged or otherwise handled upstream

  + Thierry Vignaud <tvignaud@mandriva.com>
    - use %%mkrel



* Wed Oct 20 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.8.0-8mdk
- Fixed menu dir for X86_64.

* Tue Jun 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8.0-7mdk
- rebuild for new g++

* Fri Sep 05 2003 Aurelien Lemaire <alemaire@mandrakesoft.com> 1.8.0-6mdk
- Add Patch 9 to fix bug with kernel-2.6.X
- Add Patch 10 to fix build with gcc-3.3
- Fix Url path

* Sat Aug 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8.0-5mdk
- rebuild for new g++3.2 ABI

* Thu Aug 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8.0-4mdk
- rebuild for g++-3.2

* Thu Jul 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.8.0-3mdk
- remake patch2
- add patch8 for ppc

* Thu May 30 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.8.0-2mdk
- add patch7 for /proc of kernel 2.4.19-pre9
- png icons
- move menu entry from %%SOURCE1 to specfile

* Tue May 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8.0-1mdk
- add Url
- new release
- sanitize
- use right macros
- build with g++-3.1
- remove nonsense ldconfig
- add s390 support [Patch5]
- fix build with g++-3.1 [Patch6]

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 1.7.3-11mdk
- BuildRequires: XFree86-devel
- Removed BuildRequires: xpm-devel

* Thu Jan 25 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.7.3-10mdk
- added patches for ppc - exclude serialmeter - no perm.h
- fixed rpmlint complaint on rpath and menu title

* Sun Jan 14 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.7.3-9mdk
- ExculdeArch: alpha (barfs on serial.h)

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.7.3-8mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7.3-7mdk
- automatically added BuildRequires

* Mon Jul 10 2000 dam's <damien@mandrakesoft.com> 1.7.3-6mdk
- minor specfile correction.

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7.3-5mdk
- chmouelization
- build against new libstdc++

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 1.7.3-4mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.7.3-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.7.3-2mdk
- Added menu entry.

* Fri Mar 31 2000 dam's <damien@mandrakesoft.com> 1.7.3-1mdk
- upgrade to 1.7.3

* Fri Jan 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7.2-4mdk

- fixed build on sparc.

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.7.2-3mdk
- libtoolize --force.
- use egcs on alpha.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.7.2

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- updated to 1.7.1.

* Wed Mar  3 1999 Matt Wilson <msw@redhat.com>
- updated to 1.7.0

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- build against new libstdc++, build on arm

* Tue Dec 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.6.2.a.

* Tue Jun 16 1998 Jeff Johnson <jbj@redhat.com>
- add sparc/alpha functionality.
- add %%clean

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- how the hell did this get setuid root?

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.1 (so that it compiles with egcs)
- buildroot

* Tue Nov  4 1997 Erik Troan <ewt@redhat.com>
- commented out line causing core dumps when exiting

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
